# eric6.uninstall

Uninstallation script for the eric6 IDE and all eric6 related tools.

### Global Attributes

PythonMarkers
defaultMacAppBundleName
defaultMacAppBundlePath
includePythonVariant
progLanguages
progName
pyModDir

### Classes

None

### Functions

exit | Exit the uninstall script.
initGlobals | Set the values of globals that need more than a simple assignment.
main | The main function of the script.
uninstallEric | Uninstall the eric files.
usage | Display a usage message and exit.
wrapperName | Create the platform specific name for the wrapper script.

## exit

exit(rcode=0)

Exit the uninstall script.

rcode
  result code to report back (integer)

Up

## initGlobals

initGlobals()

Set the values of globals that need more than a simple assignment.

Up

## main

main(argv)

The main function of the script.

argv
  list of command line arguments

Up

## uninstallEric

uninstallEric()

Uninstall the eric files.

Up

## usage

usage(rcode=2)

Display a usage message and exit.

rcode
  return code passed back to the calling process (integer)

Up

## wrapperName

wrapperName(dname, wfile)

Create the platform specific name for the wrapper script.

dname
  name of the directory to place the wrapper into
wfile
  basename (without extension) of the wrapper script

Returns:
  the name of the wrapper script

Up